PrefabFiles = {
	"oikawa",
	"oikawa_none",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/oikawa.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/oikawa.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/oikawa.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/oikawa.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/oikawa_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/oikawa_silho.xml" ),

    Asset( "IMAGE", "bigportraits/oikawa.tex" ),
    Asset( "ATLAS", "bigportraits/oikawa.xml" ),
	
	Asset( "IMAGE", "images/map_icons/oikawa.tex" ),
	Asset( "ATLAS", "images/map_icons/oikawa.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_oikawa.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_oikawa.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_oikawa.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_oikawa.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_oikawa.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_oikawa.xml" ),
	
	Asset( "IMAGE", "images/names_oikawa.tex" ),
    Asset( "ATLAS", "images/names_oikawa.xml" ),
	
    Asset( "IMAGE", "bigportraits/oikawa_none.tex" ),
    Asset( "ATLAS", "bigportraits/oikawa_none.xml" ),

}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.oikawa = "The demon king"
STRINGS.CHARACTER_NAMES.oikawa = "Oikawa tooru"
STRINGS.CHARACTER_DESCRIPTIONS.oikawa = "*FHQ\n*empire\n*demon"
STRINGS.CHARACTER_QUOTES.oikawa = "\"nympholepsy\""

-- Custom speech strings
STRINGS.CHARACTERS.oikawa = require "speech_oikawa"

-- The character's name as appears in-game 
STRINGS.NAMES.oikawa = "oikawa"

AddMinimapAtlas("images/map_icons/oikawa.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("oikawa", "MALE")

